proc set_defaults {} {
	global opt seqnum
	set opt(bqueue) FIFO
	set opt(bspeed) 50
	set opt(bdelay) 10
	set opt(maxdelay) 100
	set opt(tgroups) 2
	set opt(monitorInterval) 1.0
	set opt(stopTime) 60.0
	set opt(seed) 0
	set opt(quiet) 0
	set seqnum 0
}

proc set_defaults_post {} {
	global opt config flowtracefile linktracefile comptracefile
	global defaultRNG
	$defaultRNG seed $opt(seed)
	if [info exists opt(flowtracename)] { set flowtracefile [open $opt(flowtracename) w] }
	if [info exists opt(linktracename)] { set linktracefile [open $opt(linktracename) w] }
	if [info exists opt(comptracename)] { set comptracefile [open $opt(comptracename) w] }
	set config(filesize) 50000
	set min_psize 999999
	set config(conns) 0
	set k 0
  for { set i 0 } { $i < $opt(tgroups) } { incr i } {
		if ![info exists opt(traffic$i)] { set opt(traffic$i) TCP }
		if ![info exists opt(shape$i)] { set opt(shape$i) 1.4 }
		if ![info exists opt(dtarget$i)] {
			if ![info exists opt(rate$i)] {
				if ![info exists opt(sclass$i)] { set sclass$i 0 }
			}
		}
		if ![info exists opt(connections$i)] { set opt(connections$i) 1 }
		if ![info exists opt(psize$i)] { set opt(psize$i) 500 }
		if ![info exists opt(load$i)] { set opt(load$i) 0.6 } 
		if ![info exists opt(start$i)] { set opt(start$i) 1.0 }
		if ![info exists opt(spread$i)] { set opt(spread$i) 0 }
		if ![info exists opt(stop$i)] { set opt(stop$i) [expr $opt(stopTime) - 1] }
		if ![info exists opt(tdelay$i)] { set opt(tdelay$i) $opt(bdelay) }
		if { $opt(psize$i) < $min_psize } { set min_psize $opt(psize$i) }
 		set config(conns) [expr $config(conns) + $opt(connections$i)]
 		for { set j 0 } { $j < $opt(connections$i) } { incr j } {
			if ![info exists opt(aspeed$k)] { set opt(aspeed$k) [expr 2 * $opt(bspeed)] }
			if ![info exists opt(adelay$k)] { set opt(adelay$k) $opt(tdelay$i) }
			incr k
		}
	}
}
