#!/bin/bash
i=0
while [ $# -gt 0 ]; do
	case "$1" in
	tcp)
		cmd="$cmd -traffic$i TCP";;
	tcpx)
		cmd="$cmd -traffic$i TCPX";;
	tfrc)
		cmd="$cmd -traffic$i TFRC";;
	cbr)
		cmd="$cmd -traffic$i CBR -load$i $2"; shift;;
	poisson)
		cmd="$cmd -traffic$i Poisson -load$i $2"; shift;;
	pareto)
		cmd="$cmd -traffic$i Pareto -load$i $2"; shift;;
	shape)
		if [ "$2" = "p" ]; then
			cmd="$cmd -traffic$i Poisson -load$i $3"
		else
			cmd="$cmd -traffic$i Pareto -load$i $3 -shape$i $2"
		fi; shift 2;;
	sflow)
		cmd="$cmd -traffic$i ShortSimple";;
	web)
		cmd="$cmd -traffic$i ShortWeb";;
	*)
		echo "unknown traffic type: " $1; exit 1;;
	esac
	shift
	if echo $1|fgrep -q . || [ $1 -ge 0 ]; then
		cmd="$cmd -dtarget$i $1"
	else
		cmd="$cmd -sclass$i $(expr 0 - $1 - 1)"
	fi
	cmd="$cmd -connections$i $2 -start$i $3 -psize$i $4"
	shift 4
	i=$(expr $i + 1)
done
[ $i -ne 0 ] && cmd="$cmd -tgroups $i"
echo $cmd
