#!/bin/bash
source $(dirname $0)/../defs
for traf in poisson; do
for q in $queues; do
gnuplot <<EOF
set terminal postscript eps enhanced monochrome "Helvetica" 24
set output "$pdir/bias-$q.eps"
#set dgrid3d
#set hidden3d

set xlabel "Relative Arrival Rate"
set xlabel offset 0,-1.5
set xrange [0.0001:1]
set logscale x
set xtics (0.0001,0.001,0.01,0.1,0.5)
set xtics offset 0,-0.5

set ylabel "Delay Target (ms)"
set ylabel offset 0,-1.5
set yrange [1:256]
set logscale y
set ytics offset 0.5,-0.5

set zlabel "TI^2" rotate by 90
set zlabel offset 1.5
set zrange [0:0.5]
set ztics format "%1.2f"

splot "$ddir/bias-$q" using (\$1/10000):2:3 with lines notitle
EOF
done
done
