#!/bin/bash
source $(dirname $0)/../defs
for D in "10ms" "30ms" "80ms"; do
    for C in "droptail" "codel" "defaultcodel"; do
	arrow1=""
	arrow2=""
	arrow3=""
	arrow4=""
	if [ "$D" = "10ms" ]; then
	    xrange="set xrange[1000:3200]"
	    yrange="set yrange[0:220]"
		arrow1="set arrow from 2100,140 to 2640,124"
		arrow2="set label 'CoDel default interval 100ms' at 1500,145"
		arrow3="set arrow from 1600,90 to 1452,50"
		arrow4="set label 'CoDel interval 2ms' at 1400,95"
	    if [ "$C" = "droptail" ]; then
		arrow1="set arrow from 2400,160 to 2952,218"
		arrow2="set label 'buffer size 750ms' at 1900,155"
		arrow3="set arrow from 1500,100 to 1050,42"
		arrow4="set label 'buffer size 1ms' at 1300,105"
	    fi
	fi
	if [ "$D" = "30ms" ]; then
	    xrange="#set xrange[60:300]"
	    yrange="#set yrange[0:220]"
	fi
	if [ "$D" = "80ms" ]; then
	    xrange="#set xrange[30:400]"
	    yrange="#set yrange[0:220]"
	fi


	gnuplot <<EOF
set terminal postscript eps enhanced monochrome "Helvetica" 32
set output "$pdir/$C-$D.eps"

$arrow1
$arrow2
$arrow3
$arrow4

$xrange
$yrange

set xlabel "Per-Flow Goodput Rate (Kbit/s)"
set ylabel "Delay (ms)"
#set xtics font ",16"

set key top left

set style fill empty
plot "$ddir/$C-$D.table" using 1:4 with points title "maximum of delay" , \
"" using 1:5 lt 0 lw .9 smooth bezier title "" , \
"" using 1:2 with points lt 2 title "99 percentile of delay", \
"" using 1:3 lt 2 lw .7 smooth bezier title ""

EOF
    done
done
