#!/bin/bash
source $(dirname $0)/../defs
for C in "poisson" "pareto"; do
	gnuplot <<EOF
set terminal postscript eps enhanced monochrome "Helvetica" 32
set output "$pdir/$EXP-$C.eps"

set ylabel "Average Throughput (Mbit/s)" offset 2
set xlabel "Traffic/Service Class"

b(x)=8*x/1000000
set xrange[0.5:10.5]
set yrange[9.5:10.5]
set xtics (1,2,3,4,5,6,7,8,9,10)
set style data candlesticks
set boxwidth 0.3 relative
plot "$ddir/$EXP-FIFO-$C"\
   using (1+\$0-0.19):(b(\$3)):(b(\$2)):(b(\$6)):(b(\$5)) whiskerbars lt 3 notitle,\
'' using (1+\$0-0.19):(b(\$1)):(b(\$1)):(b(\$1)):(b(\$1)) lt 3 title "FIFO",\
     "$ddir/$EXP-DSF-$C"\
   using (1+\$0+0.19):(b(\$3)):(b(\$2)):(b(\$6)):(b(\$5)) whiskerbars lt 1 notitle,\
'' using (1+\$0+0.19):(b(\$1)):(b(\$1)):(b(\$1)):(b(\$1)) lt 1 title "DSF"
EOF
done
